log4shib::threading::MSMutex(3)

NAME
log4shib::threading::MSMutex - A simple object wrapper around CreateMutex() and DeleteMutex()

SYNOPSIS

#include <MSThreads.hh>

  Public Member Functions
MSMutex ()
~MSMutex ()
LPCRITICAL_SECTION getCriticalSection ()

Detailed Description

A simple object wrapper around CreateMutex() and DeleteMutex()

Constructor & Destructor Documentation

  log4shib::threading::MSMutex::MSMutex () [inline]

  log4shib::threading::MSMutex::~MSMutex () [inline]

Member Function Documentation

  LPCRITICAL_SECTION log4shib::threading::MSMutex::getCriticalSection () [inline]

Author

Generated automatically by Doxygen for log4shib from the source code.